Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041731
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Coupons OTFmajoralways2019-08-30 13:072019-09-26 16:25
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revision97d599340105
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041731: Changing the organization of a Discount a Promotions window is not transferred to Coupon tab

DescriptionChanging the organization of a Discount a Promotions window is not transferred to Coupon tab.

It should be decided if the change should be transferred to the children records or changing the organization should be disabled

It could cause the order to get stuck in Errors While Importing POS Data with the following error:

Entity ... (OrderLineOffer) with organization ... references an entity ... through its property OrderLineOffer.obdiscpCoupon but this referenced entity belongs to an organization ... which is not part of the natural tree of ...
Steps To Reproduce*
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114667)
hgbot (developer)
2019-09-19 15:30

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: be78007ce376f475d3ff1e9ea78d71e309f06145
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Sep 10 19:06:14 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/be78007ce376f475d3ff1e9ea78d71e309f06145 [^]

Fixed issue 41731: Changing the organization of a Discount a Promotions window
is not transferred to Coupon tab

- Added a new hook to extend the MOfferEventHandler logic in others modules

---
M src/org/openbravo/retail/discounts/event/MOfferEventHandler.java
A src/org/openbravo/retail/discounts/DiscountFieldsHook.java
A src/org/openbravo/retail/discounts/DiscountFieldsHookCaller.java
---
(0114678)
hgbot (developer)
2019-09-19 20:45

Repository: erp/pmods/org.openbravo.retail.discounts.coupons
Changeset: d3e0fa551af83cd86c97f2f5de8805b0669865a7
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Sep 10 19:09:33 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/d3e0fa551af83cd86c97f2f5de8805b0669865a7 [^]

Fixed issue 41731: Changing the organization of a Discount a Promotions window
is not transferred to Coupon tab

- Implemented DiscountFieldsHook to transfer the new discount organization to the
coupons child

---
A src/org/openbravo/retail/discounts/coupons/DiscountsHookCoupons.java
---
(0114693)
marvintm (developer)
2019-09-20 13:04

Fix is causing problems in integration
(0114695)
hgbot (developer)
2019-09-20 13:05

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: cdc795a71bc0281a82773dbf20886cb02fa3eb1b
Author: Antonio Moreno Perez <antonio.moreno <at> openbravo.com>
Date: Fri Sep 20 13:05:41 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/cdc795a71bc0281a82773dbf20886cb02fa3eb1b [^]

Related to issue 41731. Backed out fix as it was causing problems in integration

---
M src/org/openbravo/retail/discounts/event/MOfferEventHandler.java
R src/org/openbravo/retail/discounts/DiscountFieldsHook.java
R src/org/openbravo/retail/discounts/DiscountFieldsHookCaller.java
---
(0114696)
hgbot (developer)
2019-09-20 13:06

Repository: erp/pmods/org.openbravo.retail.discounts.coupons
Changeset: 3abec80ac4b5a54f0b46fe979b0aaf51d6c1b8f6
Author: Antonio Moreno Perez <antonio.moreno <at> openbravo.com>
Date: Fri Sep 20 13:06:12 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/3abec80ac4b5a54f0b46fe979b0aaf51d6c1b8f6 [^]

Related to issue 41731. Backed out fix as it was causing problems in integration

---
R src/org/openbravo/retail/discounts/coupons/DiscountsHookCoupons.java
---
(0114782)
hgbot (developer)
2019-09-25 14:11

Repository: erp/devel/pi
Changeset: 97d599340105c42e7bbaeb894bfd0f12b700acdf
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Sep 24 16:01:19 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/97d599340105c42e7bbaeb894bfd0f12b700acdf [^]

Fixed issue 41731: Changing the organization of a Discount a Promotions window
is not transferred to Coupon tab

- Was put as not updatable the organization column in m_offer table

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0114810)
hudsonbot (developer)
2019-09-26 15:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/409f4217568a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-30 13:07 ngarcia New Issue
2019-08-30 13:07 ngarcia Assigned To => Retail
2019-08-30 13:07 ngarcia Triggers an Emergency Pack => No
2019-08-30 15:05 ngarcia Issue Monitored: networkb
2019-09-09 15:13 rqueralta Assigned To Retail => rqueralta
2019-09-09 15:15 rqueralta Status new => scheduled
2019-09-19 15:30 hgbot Checkin
2019-09-19 15:30 hgbot Note Added: 0114667
2019-09-19 15:30 hgbot Status scheduled => resolved
2019-09-19 15:30 hgbot Resolution open => fixed
2019-09-19 15:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/be78007ce376f475d3ff1e9ea78d71e309f06145 [^]
2019-09-19 20:45 hgbot Checkin
2019-09-19 20:45 hgbot Note Added: 0114678
2019-09-19 20:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/be78007ce376f475d3ff1e9ea78d71e309f06145 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/d3e0fa551af83cd86c97f2f5de8805b0669865a7 [^]
2019-09-20 08:42 marvintm Review Assigned To => marvintm
2019-09-20 08:42 marvintm Status resolved => closed
2019-09-20 08:42 marvintm Fixed in Version => RR19Q4
2019-09-20 13:04 marvintm Note Added: 0114693
2019-09-20 13:04 marvintm Status closed => new
2019-09-20 13:04 marvintm Resolution fixed => open
2019-09-20 13:04 marvintm Fixed in Version RR19Q4 =>
2019-09-20 13:05 hgbot Checkin
2019-09-20 13:05 hgbot Note Added: 0114695
2019-09-20 13:06 hgbot Checkin
2019-09-20 13:06 hgbot Note Added: 0114696
2019-09-25 14:11 hgbot Checkin
2019-09-25 14:11 hgbot Note Added: 0114782
2019-09-25 14:11 hgbot Status new => resolved
2019-09-25 14:11 hgbot Resolution open => fixed
2019-09-25 14:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/d3e0fa551af83cd86c97f2f5de8805b0669865a7 [^] => http://code.openbravo.com/erp/devel/pi/rev/97d599340105c42e7bbaeb894bfd0f12b700acdf [^]
2019-09-26 15:10 hudsonbot Checkin
2019-09-26 15:10 hudsonbot Note Added: 0114810
2019-09-26 16:25 marvintm Status resolved => closed
2019-09-26 16:25 marvintm Fixed in Version => RR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker